(function ( $ ) {
	"use strict";

	$(function () {

		jQuery(".jackit").click(function(){
			var file = $(this).closest("tr").find("input:checkbox").val();
			var plugin_name = $(this).closest("tr").find("td.plugin-title").find("strong").html();
			
			jQuery.get(ajaxurl+"?action=wpjacker_jackit_form&file="+file, function(response){
				jQuery("#wpregister_overlay, #wpregister_lightbox").remove();
				
				jQuery("body").append(response);
				
				jQuery("#wpjacker_plugin_name").html("Jacking: "+plugin_name);
				position_wpregister_obj( jQuery("#wpregister_lightbox") );
				jQuery(window).resize( function() { position_wpregister_obj( jQuery("#wpregister_lightbox") ) } );
			});
		});
		
		
		
	});

}(jQuery));

function get_wpjacker_profile(){
	var $this = jQuery("#wpjacker_profiles")
	if($this.val() == 0) {
		jQuery("#wpjacker_name").removeAttr('disabled').val('');
	} else {
		var file = jQuery("#wpjacker_plugin_file").val();
		var plugin_name = escape(jQuery("#wpjacker_plugin_name").html());
		jQuery.get(ajaxurl+"?action=wpjacker_jackit_form&file="+file+"&edit_wpjacker_id="+jQuery("#wpjacker_profiles").val()+"&plugin_name="+plugin_name, function(response){
			
			jQuery("#wpregister_overlay, #wpregister_lightbox").remove();
			jQuery("body").append(response);
			jQuery("#wpjacker_name").attr('disabled','disabled').val( jQuery("#wpjacker_profiles>option:selected").html() );
			//jQuery("#wpjacker_plugin_name").html("Jacking: "+plugin_name);
			position_wpregister_obj( jQuery("#wpregister_lightbox") );
			jQuery(window).resize( function() { position_wpregister_obj( jQuery("#wpregister_lightbox") ) } );
		});
	}
}

function position_wpregister_obj (obj){
	var ileft = jQuery("body").width()/2 - obj.width()/2;
	ileft += "px";
	var itop = jQuery(window).height()/2 - obj.height()/2;
	itop += "px";
	obj.css( { top: itop, left: ileft } );
}

function close_jack_form(){
	jQuery('#wpregister_lightbox').remove(); 
	jQuery('#wpregister_overlay').remove()
}

function run_jacker(){
	//var sFile = jQuery("#wpjacker_plugin_file").val();
	var data = jQuery("#wpjacker_form").serialize();;
	
	jQuery.post(ajaxurl + "?action=wpjacker_jackit_now", data, function(response){
		//alert(response);
		jQuery("#wp_jacker_tabs").hide();
		var obj = jQuery.parseJSON(response);
		if(obj.result == '1'){
			var url = obj.download_url;
			jQuery("#jacker_content").html('<div style="text-align: center;"><h4>Jacking Complete!</h4><p>Click the button to download the new zip file version of the plugin.</p><p class="text-muted"><small>You can test the plugin that you just jacked by deactivating it and reactivating the same plugin. You should be shown your autoresponder form before it activates.</small></p><a class="btn btn-primary btn-lg" style="width:80%;" href="'+url+'">Download</a>');
		} else {
			alert(obj.message);	
		}
	});
}