<style>
.wrapper {
	margin-top:20px;
	padding: 20px;
	background-color: #F8F8F8;
	border-top-left-radius: 6px;
	border-top-right-radius: 6px;
	border-bottom-right-radius: 6px;
	border-bottom-left-radius: 6px;
	
}

.listheader, .modal-header {
	padding: 20px;
	padding-bottom: 17px;
	color: #fff;
	text-decoration: none;
	font-weight: bold;
	font-size: 16px;
	border-top-left-radius: 6px;
	border-top-right-radius: 6px;
	background-color: #34495E;
	text-transform: uppercase;
	border-bottom: 3px solid #2C3E50;
}
div.wrapper table {
	background-color: #ffffff;
	border-bottom-left-radius: 6px;
	border-bottom-right-radius: 6px;
}
.trhover {
	background-color: #F1C40F;
	/*color: #ffffff;*/
}
button.appnav {
	margin: 18px 0 0 10px;
}
div.form-group label {
	border-bottom: 1px solid #95A5A6;
	width: 100%;
}
div.form-group label.checkbox {
	border: none;
}
div.form-group p {
	font-size: 14px;
	color: #95A5A6;
	padding-top: 10px;
	padding-bottom: 10px;
	font-weight: normal;
}
select.form-control {
	padding-left:14px;
}
tr.subrow {
	
}
.has-switch {
	height:29px;
}
td div.has-switch {
	margin: 0 10px -6px 0;
}
</style>
<script>
jQuery(function(){
	jQuery("tr").hover(
		function(e){
			jQuery(this).addClass("danger");
			//jQuery(this).css("background-color", "#3498DB");
		},
		function(e){
			jQuery(this).removeClass("danger");
			//jQuery(this).css("background-color", "auto");
		}
	);
	
	jQuery("button.appnav").click(
		function(e){
			var $this = jQuery(this);
			jQuery(".app_tab_content").hide();
			jQuery("#"+$this.attr("target")).show();
		}
	);
	
	
});
function get_campaigns(){
	jQuery("#vsm_campaigns").load(ajaxurl + '?action=wpjacker_list_profiles');
}
function edit_campaign(id){
	jQuery(".app_tab_content").hide();
	//jQuery("#vsm_edit_campaign").show().load('../wp-content/plugins/videosmsmarketing/admin/views/admin-edit-campaign.php?edit_campaign_id='+id);
	jQuery("#vsm_edit_campaign").show().load(ajaxurl + '?action=wpjacker_edit_profile&ID='+id);
}
function save_campaign(){
	jQuery("a.save-campaign").html('<span class="fui-time"></span> Saving...');
	jQuery.post( ajaxurl + '?action=wpjacker_save_profile', jQuery("#form_campaign").serialize(), function(result){
		//jQuery(".app_tab_content").hide();
		//jQuery("#vsm_campaigns").html(result);
		jQuery("a.save-campaign").html('<span class="fui-check"></span> Save');
		if(jQuery("#edit_profile_id").val() == '0')
			jQuery("#edit_profile_id").val(result);
		get_campaigns();
	});
}
function delete_campaign(ID){
	jQuery("#modal_confirm .modal-title").html("Are you sure?");
	jQuery("#modal_confirm .modal-body").html('<p>You are about to delete this wpJacker and all of it\'s data. Click "Continue" to delete, otherwise, click "Cancel"</p>');
	jQuery("#btn-continue").off("click").click(function(){
		jQuery("#modal_confirm").modal('hide');
		jQuery.post(ajaxurl + '?action=wpjacker_delete_profile&ID='+ID);
		jQuery("#tr_campaign_"+ID).remove();
	});
	jQuery("#modal_confirm").modal();
}


function get_plugins(){
	jQuery("#wpjacker_plugins").load(ajaxurl + '?action=wpjacker_list_plugins');
}
function edit_plugin(id){
	jQuery("#modal_edit_plugin").modal();
	jQuery("#modal_edit_plugin div.modal-body").html("Loading...");
	jQuery("#modal_edit_plugin div.modal-content").load( ajaxurl + "?action=wpjacker_edit_plugin_modal&ID="+id);
}
function wpjacker_save_plugin(){
	jQuery("#modal_edit_plugin").modal('hide');
	jQuery('#wpjacker_plugin_name').val( jQuery('#wpjacker_plugin_file>option:selected').html() );
	jQuery.post( ajaxurl + '?action=wpjacker_save_plugin', jQuery("#wpjacker_plugin_form").serialize(), function(result){
		get_plugins();
	});
}

function delete_plugin(ID){
	jQuery("#modal_confirm .modal-title").html("Are you sure?");
	jQuery("#modal_confirm .modal-body").html('<p>You are about to delete this wpJacker Plugin definition and all of it\'s data. Click "Continue" to delete, otherwise, click "Cancel"</p>');
	jQuery("#btn-continue").off("click").click(function(){
		jQuery("#modal_confirm").modal('hide');
		jQuery.post(ajaxurl + '?action=wpjacker_delete_plugin&ID='+ID);
		jQuery("#tr_campaign_"+ID).remove();
	});
	jQuery("#modal_confirm").modal();
}

function toggle_plugin_active(ID, checked){
	var active = '0';
	if(checked)
		active = '1';
	
	jQuery.get(ajaxurl + '?action=wpjacker_toggle_plugin_active&ID='+ID+'&active='+active);
}

function wpjacker_jackit_now(iID, sPlugin_file){
	jQuery.post(ajaxurl + '?action=wpjacker_jackit_now', { ID: iID, plugin_file: sPlugin_file }, function(result){
		data = jQuery.parseJSON(result);
		//alert(data.download_url);
		jQuery("#download_zip_link").attr("href", data.download_url);
		jQuery("#modal_download").modal();
	});
}
</script>
<div class="container-fluid">
<div class="col-md-11 wrapper">
	<link href="<?php echo plugins_url( '../assets/css/bootstrap.min.css', __FILE__ ); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo plugins_url( '../assets/css/flat-ui.css', __FILE__ ); ?>" rel="stylesheet type="text/css" ">
	<script src="//netdna.bootstrapcdn.com/bootstrap/3.1.1/js/bootstrap.min.js"></script>
    
		<!--<h2><?php //echo esc_html( get_admin_page_title() ); ?></h2>-->
       <div style="margin: 0 0 20px 0;" class="row">
         
       		<img src="<?php echo plugins_url( '../assets/logo-700x150.png', __FILE__ ); ?>" style="height:75px; width:350px;" />
            
           <button class="appnav btn btn-inverse pull-right" target="wpjacker_plugins"><span class="fui-cmd"></span> Plugins</button>
           <button class="appnav btn btn-inverse pull-right" target="vsm_campaigns"><span class="fui-list"></span> Profiles</button>
        </div>
       
        <!-- CAMPAIGNS -->
        <div id="vsm_campaigns" class="app_tab_content">
            <?php include_once('admin-list-campaigns.php'); ?>
        </div> <!-- campaigns -->
		 
         
        <div id="wpjacker_plugins" class="app_tab_content" style="display:none;">
        	<?php include_once('admin-list-plugins.php'); ?>
        </div> 
        
        <div id="vsm_edit_campaign" style="display:none;" class="app_tab_content">
           <div class="listheader"><span class="fui-new"></span> Edit Campaign</div>
           <div id="vsm_campaign_form"></div>
           
        </div>
        
        
        
        
        
<div class="clearfix"></div>
<div class="text-muted pull-right" style="margin-top:50px;"><small>wpJackerPro <?php echo WPJACKERPRO_VERSION; ?></small></div>
</div><!-- wrapper -->

</div><!-- container fluid -->

<div class="modal fade" id="modal_confirm">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title"></h4>
      </div>
      <div class="modal-body">
        <p>One fine body&hellip;</p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
        <button type="button" class="btn btn-primary" id="btn-continue">Continue</button>
      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<div class="modal fade" id="modal_edit_plugin">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title">Edit Plugin</h4>
      </div>
      <div class="modal-body">
      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div><!-- /.modal -->


<div class="modal fade" id="modal_download">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title">Download</h4>
      </div>
      <div class="modal-body" style="text-align:center;">
      <p>Your download is ready. Click the download button to save the modified zip file version of the plugin.</p>
      <a href="javascript:;" id="download_zip_link" class="btn btn-primary btn-lg">Download</a>
      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<script src="<?php echo plugins_url( '../assets/js/bootstrap.min.js', __FILE__ ); ?>"></script>
<script src="<?php echo plugins_url( '../assets/js/bootstrap-select.js', __FILE__ ); ?>"></script>
<script src="<?php echo plugins_url( '../assets/js/bootstrap-switch.js', __FILE__ ); ?>"></script>
<script src="<?php echo plugins_url( '../assets/js/dropdown.js', __FILE__ ); ?>"></script>
<script src="<?php echo plugins_url( '../assets/js/application.js', __FILE__ ); ?>"></script>
<script src="<?php echo plugins_url( '../assets/js/flatui-checkbox.js', __FILE__ ); ?>"></script>
<script src="<?php echo plugins_url( '../assets/js/flatui-radio.js', __FILE__ ); ?>"></script>
<script src="<?php echo plugins_url( '../assets/js/jquery.placeholder.js', __FILE__ ); ?>"></script>
<script src="<?php echo plugins_url( '../assets/js/tab.js', __FILE__ ); ?>"></script>