<?php
/**
 * @package   wpJacker
 * @author    Chad Wyatt <chad@chadwyatt.com>
 * @license   Commercial
 * @link      http://chadwyatt.com
 * @copyright 2014 Chad Wyatt
 *
 * @wordpress-plugin
 * Plugin Name:       wpJacker
 * Plugin URI:        http://wpjacker.com	
 * Description:       Add Email Registration to any Wordpress Plugin whether you created it or not.
 * Version:           1.0.0
 * Author:            wpJacker
 * Author URI:        http://wpJacker.com
 * Text Domain:       wpjacker
 * License:           Commercial
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
//error_reporting(E_ALL);
require_once('wp-updates-plugin.php');
new WPUpdatesPluginUpdater_561( 'http://wp-updates.com/api/2/plugin', plugin_basename(__FILE__));

require_once( plugin_dir_path( __FILE__ ) . 'public/class-public.php' );

add_action( 'plugins_loaded', array( 'WP_Jacker', 'get_instance' ) );

if ( is_admin() ) {

	require_once( plugin_dir_path( __FILE__ ) . 'admin/class-admin.php' );
	add_action( 'plugins_loaded', array( 'WP_Jacker_Admin', 'get_instance' ) );

}

//wpregister code
if(!function_exists('wpregister_plugin_activation_wpjacker')){
	function wpregister_plugin_activation_wpjacker() {
		if($_COOKIE['wpregister_complete'] == '1'){
			setcookie('wpregister_complete', "", time() - 3600);
			return true;
		}
		$parts = pathinfo( __FILE__ );
		$filename = $parts['basename'];
			$url = plugins_url('wpregister/wpregister.js', __FILE__);
			?>
			<script>
				parent.eval("jQuery.getScript('<?php echo $url; ?>');");
			 </script>
			<?php
			die();
	}
	register_activation_hook( __FILE__, 'wpregister_plugin_activation_wpjacker' );
}